gtkmm: Gtk::RadioMenuItem Class Reference

gtkmm 3.3.16

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Related Functions
Gtk::RadioMenuItem Class Reference
Menu classes | Widgets

A CheckMenuItem that belongs to a group. More...

Inheritance diagram for Gtk::RadioMenuItem:
[legend]

List of all members.

## Public Types
typedef RadioButtonGroup | Group
## Public Member Functions
virtual | ~RadioMenuItem ()
GtkRadioMenuItem* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkRadioMenuItem* | gobj () const
| Provides access to the underlying C GtkObject.
| RadioMenuItem (Group& groupx)
| RadioMenuItem (Group& groupx, const Glib::ustring& label, bool mnemonic=false)
Group | get_group ()
| Returns the group to which the radio menu item belongs, as a List of Gtk::RadioMenuItem.
void | set_group (Group& group)
void | reset_group ()
Glib::SignalProxy0< void > | signal_group_changed ()
| Emitted when the group of radio menu items that a radio menu item belongs to changes.
## Protected Member Functions
virtual void | on_group_changed ()
| This is a default handler for the signal signal_group_changed().
void | constructor (const Group& group)
## Related Functions
(Note that these are not member functions.)
Gtk::RadioMenuItem* | wrap (GtkRadioMenuItem* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A CheckMenuItem that belongs to a group.

At each instant exactly one of the menu items from a group is selected.

## Member Typedef Documentation

typedef RadioButtonGroup Gtk::RadioMenuItem::Group

## Constructor & Destructor Documentation

virtual Gtk::RadioMenuItem::~RadioMenuItem | ( |  | ) | `[virtual]`

Gtk::RadioMenuItem::RadioMenuItem | ( | Group& | groupx | ) |

Gtk::RadioMenuItem::RadioMenuItem | ( | Group& | groupx,
|  | const Glib::ustring & | label,
|  | bool | mnemonic = `false`
| ) |  |

## Member Function Documentation

void Gtk::RadioMenuItem::constructor | ( | const Group& | group | ) | `[protected]`

Group Gtk::RadioMenuItem::get_group | ( |  | ) |

Returns the group to which the radio menu item belongs, as a List of Gtk::RadioMenuItem.

The list belongs to GTK+ and should not be freed.

Returns:
  The group of radio_menu_item.

const GtkRadioMenuItem* Gtk::RadioMenuItem::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::CheckMenuItem.

GtkRadioMenuItem* Gtk::RadioMenuItem::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::CheckMenuItem.

virtual void Gtk::RadioMenuItem::on_group_changed | ( |  | ) | `[protected, virtual]`

This is a default handler for the signal signal_group_changed().

void Gtk::RadioMenuItem::reset_group | ( |  | ) |

void Gtk::RadioMenuItem::set_group | ( | Group& | group | ) |

Glib::SignalProxy0< void > Gtk::RadioMenuItem::signal_group_changed | ( |  | ) |

Emitted when the group of radio menu items that a radio menu item belongs to changes.

This is emitted when a radio menu item switches from being alone to being part of a group of 2 or more menu items, or vice-versa, and when a buttton is moved from one group of 2 or more menu items to a different one, but not when the composition of the group that a menu item belongs to changes.

Slot Prototype:
  `void on_my_group_changed()`

## Friends And Related Function Documentation

Gtk::RadioMenuItem* wrap | ( | GtkRadioMenuItem * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/radiomenuitem.h